# Plots of parameter vectors in identified set:
# - projections of vectors in two dimensions



### IDENTIFIED SET FROM FULL QP PROBLEM

# Import CSV file:

idset <- read.csv("idset.csv", header=F)
  names(idset) <- c("f_BB", "f_BW", "f_WB", "f_WW")

attach(idset)

# True parameter values:

truepar <- c(0.40, 0.20, 0.15, 0.50)
  names(truepar) <- c("f_BB", "f_BW", "f_WB", "f_WW")

# Plots of values of direct connections by own and alter characteristic:
# (Figure 6)

png(file="onelink.png", width=720, height=720)
par(mfrow=c(2,2))

plot(f_BB, f_BW, pch=20, cex=0.75, xlim=c(0,1), ylim=c(0,1),
  xlab="f_BB", ylab="f_BW" )
  points(truepar["f_BB"],truepar["f_BW"], pch=23, cex=1.5, bg="grey")

plot(f_WW, f_WB, pch=20, cex=0.75, xlim=c(0,1), ylim=c(0,1),
  xlab="f_WW", ylab="f_WB" )
  points(truepar["f_WW"],truepar["f_WB"], pch=23, cex=1.5, bg="grey")

plot(f_BW, f_WB, pch=20, cex=0.75, xlim=c(0,1), ylim=c(0,1),
  xlab="f_BW", ylab="f_WB" )
  points(truepar["f_BW"],truepar["f_WB"], pch=23, cex=1.5, bg="grey")

plot(f_BB, f_WW, pch=20, cex=0.75, xlim=c(0,1), ylim=c(0,1),
  xlab="f_BB", ylab="f_WW" )
  points(truepar["f_BB"],truepar["f_WW"], pch=23, cex=1.5, bg="grey")

dev.off()
