% RUN: nohup matlab < master.m > master_log.out &



%% Construction of Identified Set (D.8)

% Run MCMC search procedure:
mhsample_run

% Extract subset of parameters with high pseudo-densities:
goodpars = parlist(densities > 0.95,:);

% Export to CSV file:
csvwrite('idset.csv', goodpars);

exit



%% DESCRIPTIONS OF SUBORDINATE PROGRAMS
% 
% setup.m
% - loads variables constructed in R
% - reformats and constructs additional variables
% 
% make_Q.m
% - computes distribution of preference classes (D.7.1)
% - constructs QP objective matrix (D.7.2)
% 
% solve_eq.m
% - constructs constraints for QP problem (D.6, D.7.3)
% - solves preliminary LP problem to get starting values (D.7.3)
% - solves QP problem (D.7.3)
% 
% obj_fn.m
% - objective function for QP problem
% 
% make_dens.m
% - evaluates a structural parameter vector (calls 'make_Q.m' and 'solve_eq.m')
% - converts objective function value to a pseudo-density for MCMC procedure
% 
% propnorm.m
% - proposal distribution for MCMC procedure
%
% KNITRO solver options
% - test.opt
% - mult1.opt
% - mult2.opt
