# Plots of parameter vectors in identified set:
# - projections of vectors in two dimensions
# - makes two combined plots



# Import CSV file:

idset <- read.csv("idset.csv", header=F)
  names(idset) <- c("f_BB", "f_BW", "f_WB", "f_WW", "v", "w")

attach(idset)

# True parameter values:

truepar <- c(-0.9,-1.5,-1.7,-0.7, 0.2, 0.2)
  names(truepar) <- c("f_BB", "f_BW", "f_WB", "f_WW", "v", "w")

# Plots of values of direct connections by own and alter characteristic (Figure 9):

png(file="fs.png", width=720, height=720)
par(mfrow=c(2,2))

plot(f_BB, f_BW, pch=20, cex=0.75, xlim=c(-2,0), ylim=c(-2.5,-0.5) )
  points(truepar["f_BB"],truepar["f_BW"], pch=23, cex=1.5, bg="grey")

plot(f_WW, f_WB, pch=20, cex=0.75, xlim=c(-2,0) ) #, ylim=c(-3,0.5) )
  points(truepar["f_WW"],truepar["f_WB"], pch=23, cex=1.5, bg="grey")

plot(f_BW, f_WB, pch=20, cex=0.75, xlim=c(-2.5,2), ylim=c(-2.5,4) )
  points(truepar["f_BW"],truepar["f_WB"], pch=23, cex=1.5, bg="grey")

plot(f_BB, f_WW, pch=20, cex=0.75, xlim=c(-2,0), ylim=c(-2,0) )
  points(truepar["f_BB"],truepar["f_WW"], pch=23, cex=1.5, bg="grey")

dev.off()

# Plots of value of indirect connections vs. values of direct connections (Figure 10):

png(file="fandv.png", width=720, height=720)
par(mfrow=c(2,2))

plot(f_BB, v, pch=20, cex=0.75, xlim=c(-2,0), ylim=c(0,2) )
  points(truepar["f_BB"],truepar["v"], pch=23, cex=1.5, bg="grey")

plot(f_WW, v, pch=20, cex=0.75, xlim=c(-2,0), ylim=c(0,2) )
  points(truepar["f_WW"],truepar["v"], pch=23, cex=1.5, bg="grey")

plot(f_BW, v, pch=20, cex=0.75, xlim=c(-2.5,-0.5), ylim=c(0,2) )
  points(truepar["f_BW"],truepar["v"], pch=23, cex=1.5, bg="grey")

plot(f_WB, v, pch=20, cex=0.75, ylim=c(0,2) )
  points(truepar["f_WB"],truepar["v"], pch=23, cex=1.5, bg="grey")

dev.off()
