function [logdens] = make_dens( param )
% Compute pseudo log density to find identified set via MCMC.

% Report parameter value:

param

% Construct objective matrix:

[N_alphas, N_prefcases, H_blk, H_wht, startH_full, H_list_full] = make_Q( param );

% Solve QP problem:

[x,objval,sqslack,LPslack] = solve_eq(N_alphas, N_prefcases, H_blk, H_wht, startH_full, H_list_full);

% Output object (log pseudo-density):

logdens = - ( max(0, objval - 1e-5) + max(0, sqslack - 5e-5) ) / 1e-5

end
