% A) Program Setup

% Import variables from R, format and define new variables:

setup

% B) MCMC Search

% Metropolis-Hastings search algorithm:
% (starting from true parameter values)

rawlist = mhsample(true_param,1000,'logpdf',@make_dens,'proprnd',@propnorm,'symmetric',1)

% Save raw results (list of parameter vectors):

save idset_main.mat rawlist

% C) Objective Fn. Values

% Note: Command 'mhsample' does not appear to allow storage of density values,
% so we have to re-evaluate the parameters to get the associated densities.

% Condense raw list of parameter vectors in sample to list of unique vectors:

parlist = unique(rawlist, 'rows');

% Storage object:

densities = zeros(size(parlist,1),1);

% Loop to compute density values:

for s = 1:size(parlist,1)
    testpar = parlist(s,:);
    densities(s) = exp( make_dens(testpar) );
end

% Save:

save idset_main.mat rawlist parlist densities
