% Imports variables from R, reformats and defines variables.



%% PROGRAM SETUP

clear all

% Declare global variables:

global draws Shocksum
global N N_B N_W
global N_types N_types_ego t_index t_index_ego
global nX_list nX_list_drop nv_list nv_list_drop nw_list nw_list_drop
global can_add new_types
global obs_shares not_rel

% Set optimization options

global LPopts
LPopts = optimset('Display','iter');

% Load variables from R:

load export.mat
load observed.mat



%% VARIABLES

% Convert variable storage types:

N_types = double(N_types);
N_types_ego = double(N_types_ego);

t_index = double(t_index);
t_index_ego = double(t_index_ego);

can_add = logical(can_add);
new_types = sparse(new_types);

not_relevant = logical(not_relevant);

% Transpose lists of type indices:

t_index = t_index';
t_index_ego = t_index_ego';

% Lists of types not relevant for the analysis, by ego characteristic:
% (not observed and not adjacent to any observed type)

not_rel.B = not_relevant(1:N_types);
not_rel.W = not_relevant(N_types + (1:N_types));

% List objects:

whos



%% PREFERENCE PARAMETERS

% True parameter values:

true_param = [-0.9,-1.5,-1.7,-0.7, 0.2, 0.2]
