### Microsimulation Procedure (D.4)

# Set working directory: 
setwd("Microsim D1L1")

# Set parameter values and draw shocks:
source("sim_setup.R")

# Run microsimulation: 
source("sim_D1L1.R")

# Use simplification of QP problem to find all equilibrium vectors of type shares:
source("all_eq_D1L1.R")



### Network Types and Transformations (D.5)

# Set working directory:
setwd("../Types D1L1")

# Enumerate types, list of (A,v) representations:
source("types.R")

# Generate transformations on types and objects listing payoff-relevant attributes:
source("tools.R")

# Extract type shares from one simulated network:
source("get_typeshares.R")

# Plot type shares from selected network and all stable simulated networks:
# (also plots the identified set using the simplified QP)
setwd("../Microsim D1L1")
source("sim_plots.R")
